

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.10. html_untag &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.15.11. in_records" href="in_records.html" />
    <link rel="prev" title="7.15.9. highlight_html" href="highlight_html.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/functions/html_untag.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="in_records.html" title="7.15.11. in_records"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="highlight_html.html" title="7.15.9. highlight_html"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.10. </span><code class="docutils literal notranslate"><span class="pre">html_untag</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="html-untag">
<h1><span class="section-number">7.15.10. </span><code class="docutils literal notranslate"><span class="pre">html_untag</span></code><a class="headerlink" href="#html-untag" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.15.10.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">html_untag</span></code> はHTMLタグをHTMLから除去したテキストを出力します。</p>
<p><code class="docutils literal notranslate"><span class="pre">html_untag</span></code> は <a class="reference internal" href="../commands/select.html#select-output-columns"><span class="std std-ref">output_columns</span></a> で説明している <code class="docutils literal notranslate"><span class="pre">--output_columns</span></code> で使います。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.15.10.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">html_untag</span></code> は引数を一つだけとります。 それは <code class="docutils literal notranslate"><span class="pre">html</span></code> です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>html_untag(html)
</pre></div>
</div>
</div>
<div class="section" id="requirements">
<h2><span class="section-number">7.15.10.3. </span>必要条件<a class="headerlink" href="#requirements" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">html_untag</span></code> を使うにはGroonga 3.0.5以降が必要です。</p>
<p><code class="docutils literal notranslate"><span class="pre">html_untag</span></code> を使うには <a class="reference internal" href="../command/command_version.html"><span class="doc">コマンドバージョン</span></a> 2以降を使う必要があります。</p>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.10.4. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>使い方を示すために使うスキーマ定義とサンプルデータは以下の通りです。</p>
<p>サンプルスキーマ:</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create WebClips TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create WebClips content COLUMN_SCALAR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>サンプルデータ:</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table WebClips
[
{&quot;_key&quot;: &quot;http://groonga.org&quot;, &quot;content&quot;: &quot;groonga is &lt;span class=&#39;emphasize&#39;&gt;fast&lt;/span&gt;&quot;},
{&quot;_key&quot;: &quot;http://mroonga.org&quot;, &quot;content&quot;: &quot;mroonga is &lt;span class=\&quot;emphasize\&quot;&gt;fast&lt;/span&gt;&quot;},
]
# [[0, 1337566253.89858, 0.000355720520019531], 2]
</pre></div>
</div>
<p>カラムの本文からHTMLタグを除去する <code class="docutils literal notranslate"><span class="pre">html_untag</span></code> 関数の簡単な例はこちらです。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select WebClips --output_columns &quot;html_untag(content)&quot; --command_version 2
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         2
#       ],
#       [
#         [
#           &quot;html_untag&quot;,
#           null
#         ]
#       ],
#       [
#         &quot;groonga is fast&quot;
#       ],
#       [
#         &quot;mroonga is fast&quot;
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
<p>上記クエリを実行すると、&quot;class&quot; 属性つきの &quot;span&quot; タグが除去されているのがわかります。<code class="docutils literal notranslate"><span class="pre">html_untag</span></code> 関数を使うのには <code class="docutils literal notranslate"><span class="pre">--command_version</span> <span class="pre">2</span></code> を指定しなければならないことに注意してください。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.15.10.5. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>必須の引数は1つです。</p>
<div class="section" id="html">
<h3><span class="section-number">7.15.10.5.1. </span><code class="docutils literal notranslate"><span class="pre">html</span></code><a class="headerlink" href="#html" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>タグを取り除きたいHTMLを指定します。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.10.6. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">html_untag</span></code> はHTMLテキストからHTMLタグを除去したタグなしのテキストを返します。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.10. <code class="docutils literal notranslate"><span class="pre">html_untag</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.10.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.15.10.2. 構文</a></li>
<li><a class="reference internal" href="#requirements">7.15.10.3. 必要条件</a></li>
<li><a class="reference internal" href="#usage">7.15.10.4. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.15.10.5. 引数</a><ul>
<li><a class="reference internal" href="#html">7.15.10.5.1. <code class="docutils literal notranslate"><span class="pre">html</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.15.10.6. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="highlight_html.html"
                        title="前の章へ"><span class="section-number">7.15.9. </span><code class="docutils literal notranslate"><span class="pre">highlight_html</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="in_records.html"
                        title="次の章へ"><span class="section-number">7.15.11. </span><code class="docutils literal notranslate"><span class="pre">in_records</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="in_records.html" title="7.15.11. in_records"
             >次へ</a> |</li>
        <li class="right" >
          <a href="highlight_html.html" title="7.15.9. highlight_html"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.10. </span><code class="docutils literal notranslate"><span class="pre">html_untag</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>